Bug 55147 - Missing volumechangeEvent in case of mediaPlayerVolumeChanged gets callback
Summary: Missing volumechangeEvent in case of mediaPlayerVolumeChanged gets callback
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media Elements (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Yi Shen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-24 08:06 PST by Yi Shen
Modified: 2011-02-28 14:04 PST (History)
5 users (show)

See Also:


Attachments
first try (1.93 KB, patch)
2011-02-24 08:20 PST, Yi Shen
no flags Details | Formatted Diff | Diff
updated with eric's suggestion (2.04 KB, patch)
2011-02-24 09:11 PST, Yi Shen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yi Shen 2011-02-24 08:06:29 PST
Discussed this issue with eric carlson, and we think when HTMLMediaElement::mediaPlayerVolumeChanged gets callback, a volumechangeEvent event should be fired if the volume gets changed.
Comment 1 Yi Shen 2011-02-24 08:20:44 PST
Created attachment 83660 [details]
first try
Comment 2 Eric Carlson 2011-02-24 08:44:36 PST
Comment on attachment 83660 [details]
first try

View in context: https://bugs.webkit.org/attachment.cgi?id=83660&action=review

> Source/WebCore/ChangeLog:16
> +        (WebCore::HTMLMediaElement::setMuted):
> +        (WebCore::HTMLMediaElement::mediaPlayerVolumeChanged):
> +

I would really prefer to have comments here about what changed in each function.
Comment 3 Yi Shen 2011-02-24 09:11:00 PST
Created attachment 83668 [details]
updated with eric's suggestion

Thanks for reviewing it, eric :)
Comment 4 Eric Carlson 2011-02-24 10:13:32 PST
Comment on attachment 83668 [details]
updated with eric's suggestion

Thanks!
Comment 5 WebKit Commit Bot 2011-02-26 01:03:50 PST
Comment on attachment 83668 [details]
updated with eric's suggestion

Clearing flags on attachment: 83668

Committed r79768: <http://trac.webkit.org/changeset/79768>
Comment 6 WebKit Commit Bot 2011-02-26 01:03:55 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Ademar Reis 2011-02-28 14:04:20 PST
Revision r79768 cherry-picked into qtwebkit-2.1.x with commit 847d993 <http://gitorious.org/webkit/qtwebkit/commit/847d993>